Extend support for Clipmarks; not Amplify Rated 1 out of 5 stars

I've tried Amplify, and that service is definitely second best by far compared to the original Clipmarks network. Please extend compatibility for the Clipmarks Addon through Firefox 5 and beyond!

Update for FF4, Please! Hurry! Rated 1 out of 5 stars

I hate having to give an addon I used every day such a low rating, but we need a version for Firefox 4. Amplify doesn't cut it; Clipmarks is a stand-alone community; Amplify only really works if you use social networking sites, which I don't.

Please update soon!!